<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Louvain Algorithm: community_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Louvain Algorithm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">community_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="community_8h_source.html">community.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for community_t:</div>
<div class="dyncontent">
<div class="center"><img src="structcommunity__t__coll__graph.png" border="0" usemap="#community__t_coll__map" alt="Collaboration graph"/></div>
<map name="community__t_coll__map" id="community__t_coll__map">
<area shape="rect" id="node2" href="structnode__t.html" title="node_t" alt="" coords="23,5,85,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a75da2d3d0f07ca29dde65268ae4cf88a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcommunity__t.html#a75da2d3d0f07ca29dde65268ae4cf88a">internal_weight</a></td></tr>
<tr class="separator:a75da2d3d0f07ca29dde65268ae4cf88a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5139bd32f99d7634c308ddf13ce1c6b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcommunity__t.html#ad5139bd32f99d7634c308ddf13ce1c6b">external_weight</a></td></tr>
<tr class="separator:ad5139bd32f99d7634c308ddf13ce1c6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0fef4f0ce4389e2d3578e85588a83d8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcommunity__t.html#ac0fef4f0ce4389e2d3578e85588a83d8">num_nodes</a></td></tr>
<tr class="separator:ac0fef4f0ce4389e2d3578e85588a83d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0af7db305b8b53967d8b9bdf70fa6c1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structnode__t.html">node_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcommunity__t.html#ae0af7db305b8b53967d8b9bdf70fa6c1">nodes</a></td></tr>
<tr class="separator:ae0af7db305b8b53967d8b9bdf70fa6c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure to contain a single community with the list of all its nodes alongside with the internal and external weight of all of its edges (INTERNAL = edges fully contained in the community; EXTERNAL = edges with one end in the community and the other end somewhere else) and the total number of nodes for easy access. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ad5139bd32f99d7634c308ddf13ce1c6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5139bd32f99d7634c308ddf13ce1c6b">&#9670;&nbsp;</a></span>external_weight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int community_t::external_weight</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a75da2d3d0f07ca29dde65268ae4cf88a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75da2d3d0f07ca29dde65268ae4cf88a">&#9670;&nbsp;</a></span>internal_weight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int community_t::internal_weight</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae0af7db305b8b53967d8b9bdf70fa6c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0af7db305b8b53967d8b9bdf70fa6c1">&#9670;&nbsp;</a></span>nodes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structnode__t.html">node_t</a>* community_t::nodes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac0fef4f0ce4389e2d3578e85588a83d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0fef4f0ce4389e2d3578e85588a83d8">&#9670;&nbsp;</a></span>num_nodes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int community_t::num_nodes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/<a class="el" href="community_8h_source.html">community.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
